//
// Crater.h
// A crater on the moon.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef CRATER_H
#define CRATER_H

#include "MoonFeature.h"

class QPainter;

class Crater : public MoonFeature
{
public:
    Crater();
    Crater(char* name, char* description, int size,
           int longitude, int latitude);
    virtual ~Crater();

    void Init(char* name, char* description, int size,
              int longitude, int latitude);

    // Read in the list of craters:
    static void InitCraters();

protected:
};

#endif // CRATER_H
